Print Page | Close Window

Unable to load sde dll

Printed From: www.skylinesoft.com
Category: SkylineGlobe Enterprise Products
Forum Name: TerraExplorer Pro and TerraExplorer Plus
Forum Description: Issues concerning advanced editing and analyzing tools
URL: http://forum.skylinesoft.com/forum_posts.asp?TID=1232
Printed Date: October 18 2018 at 5:39am


Topic: Unable to load sde dll
Posted By: Josh Roberts
Subject: Unable to load sde dll
Date Posted: November 05 2017 at 12:57am
I'm using TerraExplorer® Pro 64 bit version 7.0.0 (2080), and I'm getting "Unable to load sde dll" error when I try to connect to an ArcSDE data source.

How can I correct this?

Thanks.

Josh





Replies:
Posted By: Yaniv
Date Posted: November 07 2017 at 10:19pm

Hi Josh,

Accessing ArcSDE using ArcSDE V10.2 and below:

To access data from ArcSDE server, TerraExplorer requires access to specific ArcSDE components (dynamic link library files): sde.dll, pe.dll and sg.dll, of versions 10.0, 9.3 or 9.2. For versions 9.2 and 9.3, msvcr71.dll is also required. These files are installed with various ESRI components, including ArcGIS Desktop and ArcSDE SDK, as well as the free viewers, ArcGIS Explorer Desktop and ArcReader. See http://www.esri.com/products/index.html#free_viewers_panel" rel="nofollow - To allow TerraExplorer to access these files, do any of the following:

·       - Make sure an ARCGISHOME or AGSDESKTOPJAVA  environment variable is defined on your system and includes a reference to a folder under which a bin folder exists with the above-mentioned files.

·       - Make sure a PATH environment variable is defined on your system and includes a reference to a folder under which a bin folder exists with the above-mentioned files.

·       - Copy the DLL’s to the main TerraExplorer folder.


Please note that it is not possible to connect to ArcGIS V10.3 and above. According to ESRI - “With the release of ArcGIS 10.3 comes the end of support for the ArcSDE service and the application server connection” – To connect after this release you need to import the data using a WMS / WFS service connection. We also added support for streaming ESRI REST Services into V7 for feature layers.

Kind regards,

Yaniv




Print Page | Close Window